import QtQuick 1.1
import com.nokia.meego 1.0
import QtMultimediaKit 1.1

Page {
    tools: commonTools

    CoverCube {
        id: coverFlow
        anchors { top: parent.top; left: parent.left; right: parent.right }
        height: width
        itemWidth: width
        itemHeight: height
        model: core.mainModel()
        z: 1
    }

    ListView {
        id: listView
        anchors { top: coverFlow.bottom; left: parent.left; right: parent.right; bottom: parent.bottom }
        model: core.sources()

        delegate: Rectangle {
            width: parent.width
            height: 88
            color: mouseArea.pressed ? "#333333" : "black"

            Column {
                anchors.verticalCenter: parent.verticalCenter
                width: parent.width

                Label {
                    id: mainText
                    text: name
                    font.weight: Font.Bold
                    font.pixelSize: 26
                    width: parent.width - (arrow.visible ? arrow.width : 0)
                    elide: Text.ElideRight
                }

                Label {
                    id: subText
                    text: subtitle
                    font.weight: Font.Light
                    font.pixelSize: 24
                    color: theme.inverted ? "#7b797b" : "#848684"
                    width: parent.width - (arrow.visible ? arrow.width : 0)
                    elide: Text.ElideRight
                    visible: text != ""
                }
            }

            MouseArea {
                id: mouseArea
                anchors.fill: parent
                onClicked: {
                    var newModel = listView.model.items(index);
                    var component = Qt.createComponent("BrowserPage.qml");
                    pageStack.push(component, {model: newModel });
                }
            }
            Image {
                id: arrow
                source: "image://theme/icon-m-common-drilldown-arrow" + (theme.inverted ? "-inverse" : "")
                anchors.right: parent.right;
                anchors.verticalCenter: parent.verticalCenter
                opacity: .5
            }
        }
    }
}
