// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import com.nokia.meego 1.0

Page {
    tools: ToolBarLayout {
        ToolIcon {
            platformIconId: "toolbar-back"
            onClicked: pageStack.pop();
        }
    }


    ListView {
        id: listView
        anchors.fill: parent
        model: core.playlist()

        delegate: Rectangle {
            width: parent.width
            height: 80
            color: mouseArea.pressed ? "#333333" : "black"

            Column {
                anchors.verticalCenter: parent.verticalCenter
                anchors.fill: parent

                Label {
                    id: mainText
                    text: label
                    font.weight: Font.Bold
                    font.pixelSize: 26
                    width: parent.width - durationLabel.width - 10
                    elide: Text.ElideRight
                    states: [
                        State {
                            name: "highlighted"; when: index === listView.model.currentIndex
                            PropertyChanges { target: mainText; color: "#21496b" }
                        }

                    ]
                }

                Label {
                    id: subText
                    text: artist
                    font.weight: Font.Light
                    font.pixelSize: 24
                    color: "#7b797b"
                    width: parent.width - durationLabel.width - 10
                    elide: Text.ElideRight
                    visible: text != ""
                }
            }

            MouseArea {
                id: mouseArea
                anchors.fill: parent
                onClicked: {
                    core.playlist().currentIndex = index;
                }
            }
            Label {
                id: durationLabel
                anchors.right: parent.right;
                anchors.verticalCenter: parent.verticalCenter
                text: duration
            }
        }
    }
}
