import QtQuick 1.1
import com.nokia.meego 1.0
import playmee 1.0
import QtMultimediaKit 1.1

PageStackWindow {
    id: appWindow
    initialPage: mainPage
    property variant core: engine

    Component.onCompleted: theme.inverted = true;

    PlayMeeEngine {
        id: engine
    }

    MainPage {
        id: mainPage
    }

    PlaylistPage {
        id: playlistPage

    }

    NowPlayingPage {
        id: nowPlayingPage
    }

    ToolBarLayout {
        id: commonTools
        visible: true
        ToolIcon {
            platformIconId: "toolbar-settings"
            onClicked: (myMenu.status === DialogStatus.Closed) ? myMenu.open() : myMenu.close()
        }
        ToolIcon {
            platformIconId: "toolbar-mediacontrol-play"
            onClicked: pageStack.push(nowPlayingPage);
        }
    }

    Menu {
        id: myMenu
        visualParent: pageStack
        MenuLayout {
            MenuItem { text: qsTr("Sample menu item") }
        }
    }
}
